Send a message to an item order
curl --request POST \
--url https://api.gameboost.com/v2/item-orders/{itemOrder}/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"message": "Hi! I have completed the currency delivery. Please check your account and confirm receipt."
}
'import requests
url = "https://api.gameboost.com/v2/item-orders/{itemOrder}/messages"
payload = { "message": "Hi! I have completed the currency delivery. Please check your account and confirm receipt." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
message: 'Hi! I have completed the currency delivery. Please check your account and confirm receipt.'
})
};
fetch('https://api.gameboost.com/v2/item-orders/{itemOrder}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gameboost.com/v2/item-orders/{itemOrder}/messages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'message' => 'Hi! I have completed the currency delivery. Please check your account and confirm receipt.'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gameboost.com/v2/item-orders/{itemOrder}/messages"
payload := strings.NewReader("{\n \"message\": \"Hi! I have completed the currency delivery. Please check your account and confirm receipt.\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gameboost.com/v2/item-orders/{itemOrder}/messages")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"message\": \"Hi! I have completed the currency delivery. Please check your account and confirm receipt.\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gameboost.com/v2/item-orders/{itemOrder}/messages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"message\": \"Hi! I have completed the currency delivery. Please check your account and confirm receipt.\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"type": "user_message",
"text": "<string>",
"attachment": {},
"sender": {
"id": 123,
"username": "<string>",
"is_admin": true
},
"sent_at": 123
}
}{
"message": "Unauthenticated."
}{
"message": "This action is unauthorized."
}{
"message": "Resource not found."
}{
"message": "The given data was invalid.",
"errors": {
"field": [
"Something is wrong with this field!"
]
}
}{
"message": "Too many requests."
}Item Orders
Send a message to an item order
Send a new chat message to the buyer for this item order. Order must be in processing status.
POST
/
v2
/
item-orders
/
{itemOrder}
/
messages
Send a message to an item order
curl --request POST \
--url https://api.gameboost.com/v2/item-orders/{itemOrder}/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"message": "Hi! I have completed the currency delivery. Please check your account and confirm receipt."
}
'import requests
url = "https://api.gameboost.com/v2/item-orders/{itemOrder}/messages"
payload = { "message": "Hi! I have completed the currency delivery. Please check your account and confirm receipt." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
message: 'Hi! I have completed the currency delivery. Please check your account and confirm receipt.'
})
};
fetch('https://api.gameboost.com/v2/item-orders/{itemOrder}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gameboost.com/v2/item-orders/{itemOrder}/messages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'message' => 'Hi! I have completed the currency delivery. Please check your account and confirm receipt.'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gameboost.com/v2/item-orders/{itemOrder}/messages"
payload := strings.NewReader("{\n \"message\": \"Hi! I have completed the currency delivery. Please check your account and confirm receipt.\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gameboost.com/v2/item-orders/{itemOrder}/messages")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"message\": \"Hi! I have completed the currency delivery. Please check your account and confirm receipt.\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gameboost.com/v2/item-orders/{itemOrder}/messages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"message\": \"Hi! I have completed the currency delivery. Please check your account and confirm receipt.\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"type": "user_message",
"text": "<string>",
"attachment": {},
"sender": {
"id": 123,
"username": "<string>",
"is_admin": true
},
"sent_at": 123
}
}{
"message": "Unauthenticated."
}{
"message": "This action is unauthorized."
}{
"message": "Resource not found."
}{
"message": "The given data was invalid.",
"errors": {
"field": [
"Something is wrong with this field!"
]
}
}{
"message": "Too many requests."
}Authorizations
Path Parameters
Body
application/json
Was this page helpful?